v1.0
delete
/ec-site-svc/rest/v1.0/organizations/{id}
Removes an organization by organization ID with reason.
Request
Path Parameters
-
id(required): string
ID of an organization.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
204 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Examples